import React, {Component} from "react";

export default class Sidebar extends Component {

    constructor(props) {
        super(props)

        this.state={
            
        }
    }
    
    render() {

        var vehicleList = this.props.companyVehicles.map((vehicle, index) => {
            return (
                <div onClick={() => this.props.selectVehicle(vehicle.id)} key={`vehicleList-${index}`} className={`py-2 border-b pl-4 hover:cursor-pointer ${(this.props.selectedVehicle === vehicle.id) ? 'bg-gray-400 text-white': ''}`}>Vehicle {vehicle.name}</div>
            )
        })

        return (
            <div className="w-1/5 flex flex-col border">
                {vehicleList}
            </div>
        )
    }
}