import React, {Component} from "react";
import EditableTextDisplay from "../../Informational-Components/EditableTextDisplay";

export default class Registration extends Component {

    constructor(props){
        super(props)

        this.state = {
            plate: '',
            expiration: '',
            locale: ''
        }
    }

    editFieldCallBack = (newValue, label) => {
        this.setState({
            [label]: newValue
        })
    }

    render() {

        return (
            <div className="flex flex-col w-1/2">
                <div className="underline text-xl text-center">Registration</div>
                <div className="flex flex-row items-center">
                    <div>Locale: </div>
                    <EditableTextDisplay defaultValue={this.state.locale} fieldType="text" label="locale" callback={this.editFieldCallBack} />
                </div>
                <div className="flex flex-row items-center">
                    <div>Plate: </div>
                    <EditableTextDisplay defaultValue={this.state.plate} fieldType="text" label="plate" callback={this.editFieldCallBack} />
                </div>
                <div className="flex flex-row items-center">
                    <div>Expiration: </div>
                    <EditableTextDisplay defaultValue={this.state.expiration} fieldType="date" label="expiration" callback={this.editFieldCallBack} />
                </div>
            </div>
        )
    }
}