import React, {Component} from "react";
import EditableTextDisplay from "../../Informational-Components/EditableTextDisplay";

export default class VehicleDetails extends Component {

    constructor(props) {
        super(props)

        this.state = {
            vin: "1HGBH41JXMN109186",
            year: 2017,
            make: "Chevrolet",
            model: "Silverado"
        }
    }

    editedTextCallback = (newValue, label) => {
        this.setState({
            [label]: newValue
        })
    }
    
    render() {
        return (
            <div className="flex flex-col w-1/2">
                <div className="underline text-xl bold text-center mb-2">Information</div>
                <div className="flex flex-row items-center">
                    <div>VIN:</div>
                    <EditableTextDisplay defaultValue={this.state.vin} fieldType="text" label="vin" callback={this.editedTextCallback}/>
                </div> 
                <div className="flex flex-row items-center">
                    <div>Year: </div>
                    <EditableTextDisplay defaultValue={this.state.year} fieldType="number" label="year" callback={this.editedTextCallback} />
                </div>
                <div className="flex flex-row items-center">
                    <div>Make: </div>
                    <EditableTextDisplay defaultValue={this.state.make} fieldType="text" label="make" callback={this.editedTextCallback} />
                </div>
                <div className="flex flex-row items-center">
                    <div>Model: </div>
                    <EditableTextDisplay defaultValue={this.state.model} fieldType="text" label="model" callback={this.editedTextCallback} />
                </div>
            </div>
        )
    }
}
