import React, { Component } from "react";
import { Tooltip } from 'react-tooltip'

export default class VehicleImage extends Component {

    constructor(props) {
        super(props)

        this.state = {
            imageSet: false,
            edit: true
        }
    }

    updateImage = () => {

    }

    render () {
        return (
            <>
                <div onClick={this.updateImage} id="vehicleImage" className="w-48 h-48 p-1 flex flex-col justify-center items-center bg-gray-400 border">
                    <div className="z-0">{
                        (this.state.imageSet)
                        ? <img src={require('../../../images/car-silhouet-png-21300.png')} alt="Vehicle" />
                        : <div>Image Not Set</div>
                    }</div>
                </div>
                <Tooltip anchorSelect="#vehicleImage" place="bottom-end">
                    <div>Click to Edit</div>
                </Tooltip>
            </>
        )
    }
}