import React, {Component} from 'react'

export default class Login extends Component {
    constructor() {
        super()

        this.state = {
            username: '',
            password: ''
        }
    }

    updateField = (event) => {
        this.setState({
            [event.target.id]: event.target.value
        })
    }

    submit = () => {
        
    }


    render() {
        return (
            <div className="w-full h-screen bg-slate-400 flex items-center justify-center">
                <div className="w-1/3">
                    <div className="text-3xl font-bold mb-4">Fleet Management</div>            
                    <div className="border rounded-md p-4 bg-white">
    
                        <div className="mb-4">
                            <input id="username" className="border rounded-md px-2 py-1 w-full" type="text" value={this.state.username} onChange={this.updateField} />
                            <div className="text-gray-500">Username</div>
                        </div>
                        <div>
                            <input id="password" className="border rounded-md px-2 py-1 w-full" type="password" value={this.state.password} onChange={this.updateField}/>
                            <div className="text-gray-500">Password</div>
                        </div>
                        <div className="flex justify-center">
                            <div className="border rounded-md px-2 py-1 bg-green-400 font-bold cursor-pointer" onClick={this.submit} >
                                Login
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        )
    }
    
}