import React, {Component} from "react";
import './main.css'

import FleetManager from "./components/FleetManager";
import Login from "./components/Login";

export default class App extends Component {
  constructor(props) {
    super(props)

    this.state = {
      authenticated: true, 
      userId: 1,
      fullName: "Chris Lindelof"
    }
  }

  render() {
    return (
      (this.state.authenticated)
        ? <FleetManager user={this.state}/>
        : <Login />
  )
  }
}
